# React Component テストを書くための考え方

## 結論
テストに必要な考え方、テスト範囲、テストするコンポーネントの順序が大切

## 考え方
全てのコンポーネントをテストする必要はない
テストカバレッジの目標となるパーセンテージを守り、必要のないテストを書くのを避け、主となるコンポーネントの詳細度と信頼性を失わないようにする
そのためには、最小単位のコンポーネントの動作を担保する。つまるところ、それらの組み合わせで構成されているコンポーネントのテストは難しくならない

## テストサイクル
複雑でないものから、複雑なものへ向かってテストしていく。 テスト過程で、単体コンポーネントに分離できそうなものは分離する。
- 独立している単一コンポーネントのテスト
- 補助コンポーネント(俗にutilディレクトリ)
- 独立すべきコンポーネントがある場合は、分離を考える

## テスト範囲
下記はテストしないものとする。
- 外部ライブラリ
- 定数
- インラインスタイル
- 既にテスト済みのコンポーネント（import先でテスト済みであったりするもの）

## 順序
- ~~Snapshotテスト~~ 非常に壊れやすいので必須ではない
- propsのテスト
- data(props等）の型チェック
- eventのテスト
- 条件や状態変化前後（domへのclass付け外し等）のテスト

[戻る](../readme.md)